import type { ESLintUtils } from '@typescript-eslint/utils';
import type { Rule } from 'eslint';

import noEmptyObjectLiteral from './no-empty-object-literal';
import noImportDot from './no-import-dot';
import noUselessImportAlias from './no-useless-import-alias';
import restrictTemplateExpressions from './restrict-template-expressions';

export const rules: Record<
  string,
  Rule.RuleModule | ESLintUtils.RuleModule<string, unknown[]>
> = {
  'no-empty-object-literal': noEmptyObjectLiteral,
  'no-import-dot': noImportDot,
  'no-useless-import-alias': noUselessImportAlias,
  'restrict-template-expressions': restrictTemplateExpressions,
};
