import { error } from '../constants';
import type { LocalRuleOptions } from '../index';
import { defineMiddleware } from '../middleware';

const customRules: Partial<LocalRuleOptions> = {
  'custom/no-import-dot': error,
  'custom/no-useless-import-alias': error,
};

export const custom = defineMiddleware((config, { addRules }) => {
  addRules(customRules);
  config.overrides.push({
    files: ['*.ts', '!*.d.ts'],
    rules: {
      'custom/restrict-template-expressions': error,
    },
  });
});
