import type { JSDocRulesObject } from '@aet/eslint-define-config/src/rules/jsdoc';

import { off } from '../constants';
import { defineMiddleware } from '../middleware';

const jsdocRules: Partial<JSDocRulesObject> = {
  'jsdoc/require-jsdoc': off,
};

export const jsdoc = defineMiddleware((config, { addRules }) => {
  config.plugins.push('jsdoc');
  config.extends.push('plugin:jsdoc/recommended-typescript');
  addRules(jsdocRules);
});
