import type { StylisticRulesObject } from '@aet/eslint-define-config/src/rules/stylistic';

import { error } from '../constants';
import { defineMiddleware } from '../middleware';

const stylisticRules: Partial<StylisticRulesObject> = {
  '@stylistic/spaced-comment': [
    error,
    'always',
    {
      markers: ['/', '#', '@'],
      // allow /*@__PURE__*/
      block: { exceptions: ['@'] },
    },
  ],
};

export const stylistic = defineMiddleware((config, { addRules }) => {
  config.plugins.push('@stylistic');
  addRules(stylisticRules);
});
